commit:     d64b45637881bf496c6eaaf38a1047ac006958e6
Author:     Martin Mokrejš <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
AuthorDate: Mon Jan  4 14:41:40 2016 +0000
Commit:     Martin Mokrejs <mmokrejs <AT> fold <DOT> natur <DOT> cuni <DOT> cz>
CommitDate: Mon Jan  4 14:41:40 2016 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=d64b4563

sci-biology/ugene: version bump, maybe the >=Qt5-5.2.1 should be specified more 
properly?

Package-Manager: portage-2.2.26

 sci-biology/ugene/ChangeLog           |  9 ++++++++-
 sci-biology/ugene/ugene-1.20.0.ebuild | 38 +++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+), 1 deletion(-)

diff --git a/sci-biology/ugene/ChangeLog b/sci-biology/ugene/ChangeLog
index 9899da6..57d457c 100644
--- a/sci-biology/ugene/ChangeLog
+++ b/sci-biology/ugene/ChangeLog
@@ -1,7 +1,14 @@
 # ChangeLog for sci-biology/ugene
-# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2016 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*ugene-1.20.0 (04 Jan 2016)
+
+  04 Jan 2016; Martin Mokrejs <[email protected]>
+  +ugene-1.20.0.ebuild:
+  sci-biology/ugene: version bump, maybe the >=Qt5-5.2.1 should be specified
+  more properly?
+
 *ugene-1.16.1 (09 May 2015)
 
   09 May 2015; Martin Mokrejs <[email protected]>

diff --git a/sci-biology/ugene/ugene-1.20.0.ebuild 
b/sci-biology/ugene/ugene-1.20.0.ebuild
new file mode 100644
index 0000000..206008c
--- /dev/null
+++ b/sci-biology/ugene/ugene-1.20.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit qt4-r2
+
+DESCRIPTION="A free open-source cross-platform bioinformatics software"
+HOMEPAGE="http://ugene.unipro.ru";
+SRC_URI="http://${PN}.unipro.ru/downloads/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="cpu_flags_x86_sse2"
+
+# http://ugene.net/download.html states Qt5.4 and QtWebkit but:
+#   Project MESSAGE: Cannot build Unipro UGENE with Qt version 4.8.7
+#   Project ERROR: Use at least Qt 5.2.1. 
+DEPEND="
+       >=dev-qt/qtgui-5.2.1"
+RDEPEND="${DEPEND}"
+
+LANGS="cs en ru zh"
+
+src_configure() {
+       local CONFIG_OPTS
+       if use amd64; then
+               CONFIG_OPTS+=( CONFIG+="x64" )
+       elif use ppc; then
+               CONFIG_OPTS+=( CONFIG+="ppc" )
+       fi
+
+       use cpu_flags_x86_sse2 && CONFIG_OPTS+=( use_sse2 )
+
+       eqmake4 $CONFIG_OPTS || die
+}

Reply via email to